<!DOCTYPE html>
<html>
<head>
<meta charset="utf-8">
<!-- Initialize Bootstrap 4 -->
<link rel="stylesheet" href="https://cdn.staticfile.org/twitter-bootstrap/4.3.1/css/bootstrap.min.css">
<script src="https://cdn.staticfile.org/jquery/3.2.1/jquery.min.js"></script>
<script src="https://cdn.staticfile.org/popper.js/1.15.0/umd/popper.min.js"></script>
<script src="https://cdn.staticfile.org/twitter-bootstrap/4.3.1/js/bootstrap.min.js"></script>
<link rel="stylesheet" type="text/css" href="css/global.css">
<title>Login</title>
</head>
<body>
    <div class="row">
        <div class="card col">
            <div class="card-body">
                <img src="https://www.ringcentral.co.uk/blog/wp-content/uploads/2019/11/collaboration-and-collaboration-in-2020.jpg" alt="Collaboration">
            </div> 
        </div>

        <div class="card col">
            <div class="card-body">
                <form>
                    <div class="form-group">
                    <label for="username">User name:</label>
                    <input class="form-control" id="username" placeholder="Enter username">
                    </div> 
                    <div class="form-group">
                    <label for="pwd">Password:</label>
                    <input type="password" class="form-control" id="pwd" placeholder="Enter password">
                    </div>
                    <div class="form-check">
                    </div>
                    <button type="submit" class="btn btn-primary">Submit</button>
                </form>
            </div> 
        </div>
    </div>
   
</body>
<script>
$('form').submit(function(e){
    let username = $("#username").val();
    let pwd = $("#pwd").val();
    $.ajax({
          type: "GET",
          url: "http://localhost:8000/api/user/login?username="+username+"&password="+pwd,
          success: (data) => {
            jsonData = JSON.parse(data);
            document.cookie = "token="+jsonData.token;
            token = jsonData.token;
            console.log('Authorization : Bearer '+ jsonData.token)
            window.location.href = "fichiers.html"; 
          },
          error: (err) => {
            jsonErr = JSON.parse(err.responseText);
            alert(jsonErr.error)
          }
        })
    e.preventDefault();
});

</script>
</html>
